Bug 204138 - multimedia/tvheadend support for hdhomerun
Summary: multimedia/tvheadend support for hdhomerun
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-30 06:20 UTC by Karsten Schmidt
Modified: 2016-01-20 10:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (decke)


Attachments
hdhomerun support (1.79 KB, patch)
2015-10-30 06:20 UTC, Karsten Schmidt
no flags Details | Diff
Improved patch (6.73 KB, patch)
2015-11-02 15:03 UTC, Karsten Schmidt
no flags Details | Diff
Removed .orig files from patch (3.29 KB, patch)
2015-11-02 15:07 UTC, Karsten Schmidt
no flags Details | Diff
Patch to add HDHomeRun option (enabled by default) (982 bytes, patch)
2016-01-20 08:29 UTC, rocky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karsten Schmidt 2015-10-30 06:20:36 UTC
Created attachment 162591 [details]
hdhomerun support

Add an option to compile with libhdhomerun support.
Comment 1 Karsten Schmidt 2015-11-02 15:03:23 UTC
Created attachment 162710 [details]
Improved patch

libhdhomerun_20150826.tgz is added as a distfile
Comment 2 Karsten Schmidt 2015-11-02 15:07:06 UTC
Created attachment 162711 [details]
Removed .orig files from patch

And without old .orig files in the patch :)
Comment 3 Bernhard Froehlich freebsd_committer 2016-01-12 16:18:29 UTC
There are a few things that I want to clarify before I can commit that patch.

- Why do you explicitly set DISTFILES and EXTRACT_ONLY? This is auto generated from USE_GITHUB and seems too intrusive to me.

- For the Makefile.hdhomerun patch why can't we set TVHEADEND_FILE_CACHE and place that distfile in that directory so that the code can remain as it is?

- The sed replacement is a candidate for a line in the port Makefile under post-patch
Comment 4 rocky 2016-01-20 08:29:18 UTC
libhdhomerun is now in the ports tree (multimedia/libhdhomerun) so tvheadend can enable support without having to build a static version.

I'm attaching a patch to add a new HDHOMERUN build option (enabled by default).
Comment 5 rocky 2016-01-20 08:29:27 UTC
Created attachment 165851 [details]
Patch to add HDHomeRun option (enabled by default)
Comment 6 commit-hook freebsd_committer 2016-01-20 10:46:22 UTC
A commit references this bug:

Author: decke
Date: Wed Jan 20 10:46:08 UTC 2016
New revision: 406743
URL: https://svnweb.freebsd.org/changeset/ports/406743

Log:
  - Add HDHomeRun support and enable by default
  - Bump PORTREVISION

  PR:		ports/204138
  Submitted by:	sam@middling.me.uk

Changes:
  head/multimedia/tvheadend/Makefile
Comment 7 Bernhard Froehlich freebsd_committer 2016-01-20 10:47:19 UTC
Good work, thanks! It's committed now.